------------------------------------------------------------------------------------
--Name:  	haidihuanying
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-06-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(114, 84)
CppScriptMgr:SetViewScale(150)
local Player_2 = CppScriptMgr:AddSimplePlayer(1050760, 118, 84, "Artemis", 0, 0)
Player_2:SetZoomPercent(250)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("irongate_superc", 112, 88, 33, 1, 1, 1)
Effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1000)
local Player_3 = CppScriptMgr:AddSimplePlayer(1050490, 112, 88, "Locke", 0, 0)
Player_3:SetDir(6)
Player_3:SetZoomPercent(250)
Player_3:SetArmor(199485, 0, 1)
Player_3:SetHair(101, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Hi! My pretty friend!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, "Locke", 250, 655, false)
CppScriptMgr:WaitMilSec(60)
Player_3:SetAction(190)
CppScriptMgr:WaitMilSec(2440)
CppScriptMgr:NpcCallOut("You are late, Locke!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
Player_2:Say("You are late, Locke!", 2500)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(2480)
CppScriptMgr:NpcCallOut("Because I picked something cute!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, "Locke", 250, 655, false)
Player_3:SetAction(101)
CppScriptMgr:WaitMilSec(2480)
local Effect_2 = CppScriptMgr:AddEffect("wumo_jw", 120, 90, 33, 1, 1, 1)
Effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1000)
local Player_4 = CppScriptMgr:AddSimplePlayer(40990, 120, 90, "", 0, 0)
Player_4:SetDir(4)
Player_4:SetZoomPercent(250)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:WaitMilSec(820)
Player_2:SetAction(180)
CppScriptMgr:WaitMilSec(140)
CppScriptMgr:NpcCallOut("It is adorable!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("Wonderful things always happen on you!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
CppScriptMgr:WaitMilSec(2400)
Player_3:SetAction(200)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:NpcCallOut("I just have a wonderful soul!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, "Locke", 250, 655, false)
CppScriptMgr:WaitMilSec(2400)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:NpcCallOut("I`m so lucky to have a friend like you!", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)
Player_2:SetHide(1)
Player_3:SetHide(1)
local Effect_3 = CppScriptMgr:AddEffect("CartoonDisplay", 118, 84, 20, 1, 1, 1)
Effect_3:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(980)
Player_4:WalkTo(109, 91)
CppScriptMgr:WaitMilSec(520)
local Effect_4 = CppScriptMgr:AddEffect("irongate_superc", 118, 84, 33, 1, 1, 1)
Effect_4:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1890)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(110)
CppScriptMgr:NpcCallOut("Locke seems to be able to communicate with all creatures.", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
Player_2:SetHide(0)
Player_2:SetCtrlMapView(1)
Player_4:WalkTo(123, 100)
CppScriptMgr:WaitMilSec(230)
Player_2:WalkTo(124, 100)
CppScriptMgr:WaitMilSec(2270)
CppScriptMgr:NpcCallOut("No matter they are rabbits, foxes, or birds.", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
CppScriptMgr:WaitMilSec(1760)
Player_4:SetDir(4)
CppScriptMgr:WaitMilSec(400)
Player_2:SetAction(220)
CppScriptMgr:WaitMilSec(340)
CppScriptMgr:NpcCallOut("Of course, he could read my mind.", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
CppScriptMgr:WaitMilSec(180)
Player_2:SetFrameInterval(10000)
CppScriptMgr:WaitMilSec(2320)
CppScriptMgr:NpcCallOut("So, will he come today?", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Artemis", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)